> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user comment

> Creates a new user comment



## OpenAPI

````yaml /openapi-public.json post /v1/user-comments
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/user-comments:
    post:
      tags:
        - v1 - User Comments
      summary: Create user comment
      description: Creates a new user comment
      operationId: createUserComment
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/ExternalCreateUserCommentRequestV1Model'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalUserCommentV1Model'
components:
  schemas:
    ExternalCreateUserCommentRequestV1Model:
      type: object
      properties:
        resourceId:
          type: string
          description: >-
            ID of the resource this comment is attached to (e.g. vendor,
            customer, etc.).
          format: uuid
        content:
          type: string
          description: Comment content.
    ExternalUserCommentV1Model:
      type: object
      properties:
        id:
          type: string
          description: ID of the comment.
          format: uuid
        companyId:
          type: string
          description: ID of the company this comment belongs to.
          format: uuid
        resourceId:
          type: string
          description: >-
            ID of the resource this comment is attached to (e.g. vendor,
            customer, etc.).
          format: uuid
        content:
          type: string
          description: Comment content.
        createdBy:
          type: string
          description: ID of the user who created the comment.
          format: uuid
        createdAt:
          type: string
          description: Timestamp when the comment was created.
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the comment was last updated.
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````